package com.uas.account.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 合作关系申请的记录
 * 
 * @author hejq
 * @time 创建时间：2017年1月10日
 */
public class PartnershipRecord implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;

	/**
	 * 应用
	 */
	private String appId;

	/**
	 * 申请时间
	 */
	private Date requestDate;

	/**
	 * 申请企业
	 */
	private String custName;

	/**
	 * 申请企业的code（统一用的营业执照号）
	 */
	private String custUID;

	/**
	 * 申请人的姓名
	 */
	private String custUserName;

	/**
	 * 申请人的标志（商务平台为个人UU号）
	 */
	private String custUserCode;

	/**
	 * 申请人的联系方式
	 */
	private String custUserTel;
	
	/**
	 * 申请人的邮箱
	 */
	private String custUserEmail;

	/**
	 * 客户的企业名称
	 */
	private String vendName;

	/**
	 * 客户的标识（如UU号等）
	 */
	private String vendUID;

	/**
	 * 审核人姓名
	 */
	private String vendUserName;

	/**
	 * 审核人联系方式
	 */
	private String vendUserTel;

	/**
	 * 审核人邮箱
	 */
	private String vendUserEmail;

	/**
	 * 审核人标志（uu号等）
	 */
	private String vendUserCode;

	/**
	 * 审核时间
	 */
	private Date operateDate;

	/**
	 * 申请状态码
	 */
	private Integer statusCode;

	/**
	 * 申请状态
	 */
	private String status;

	/**
	 * 原因
	 */
	private String reason;

	/**
	 * 添加合作伙伴关系后方式
	 */
	private String method;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public Date getRequestDate() {
		return requestDate;
	}

	public void setRequestDate(Date requestDate) {
		this.requestDate = requestDate;
	}

	public String getCustName() {
		return custName;
	}

	public void setCustName(String custName) {
		this.custName = custName;
	}

	public String getCustUID() {
		return custUID;
	}

	public void setCustUID(String custUID) {
		this.custUID = custUID;
	}

	public String getCustUserName() {
		return custUserName;
	}

	public void setCustUserName(String custUserName) {
		this.custUserName = custUserName;
	}

	public String getCustUserCode() {
		return custUserCode;
	}

	public void setCustUserCode(String custUserCode) {
		this.custUserCode = custUserCode;
	}

	public String getCustUserTel() {
		return custUserTel;
	}

	public void setCustUserTel(String custUserTel) {
		this.custUserTel = custUserTel;
	}

	public String getCustUserEmail() {
		return custUserEmail;
	}

	public void setCustUserEmail(String custUserEmail) {
		this.custUserEmail = custUserEmail;
	}

	public String getVendName() {
		return vendName;
	}

	public void setVendName(String vendName) {
		this.vendName = vendName;
	}

	public String getVendUID() {
		return vendUID;
	}

	public void setVendUID(String vendUID) {
		this.vendUID = vendUID;
	}

	public String getVendUserName() {
		return vendUserName;
	}

	public void setVendUserName(String vendUserName) {
		this.vendUserName = vendUserName;
	}

	public String getVendUserTel() {
		return vendUserTel;
	}

	public void setVendUserTel(String vendUserTel) {
		this.vendUserTel = vendUserTel;
	}

	public String getVendUserEmail() {
		return vendUserEmail;
	}

	public void setVendUserEmail(String vendUserEmail) {
		this.vendUserEmail = vendUserEmail;
	}

	public String getVendUserCode() {
		return vendUserCode;
	}

	public void setVendUserCode(String vendUserCode) {
		this.vendUserCode = vendUserCode;
	}

	public Date getOperateDate() {
		return operateDate;
	}

	public void setOperateDate(Date operateDate) {
		this.operateDate = operateDate;
	}

	public Integer getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	@Override
	public String toString() {
		return "PartnershipRecord [id=" + id + ", appId=" + appId + ", requestDate=" + requestDate + ", custName="
				+ custName + ", custUID=" + custUID + ", custUserName=" + custUserName + ", custUserCode="
				+ custUserCode + ", custUserTel=" + custUserTel + ", custUserEmail=" + custUserEmail + ", vendName="
				+ vendName + ", vendUID=" + vendUID + ", vendUserName=" + vendUserName + ", vendUserTel=" + vendUserTel
				+ ", vendUserEmail=" + vendUserEmail + ", vendUserCode=" + vendUserCode + ", operateDate=" + operateDate
				+ ", statusCode=" + statusCode + ", status=" + status + ", reason=" + reason + ", method=" + method
				+ "]";
	}

}
